
const St = imports.gi.St;
const Main = imports.ui.main;
const Tweener = imports.ui.tweener;
const Shell = imports.gi.Shell;

let text, button;

function _hideTitle() {if (text){
    Main.uiGroup.remove_actor(text);
    text = null;}
}

function _tween() {
 Tweener.addTween(text,
                     { opacity: 0,
                       time: 1,
                       transition: 'easeOutQuad',
                       onComplete: _hideTitle });}


function _showTitle() {
    if (!text) {
	let win = global.display.focus_window;
        text = new St.Label({ style_class: 'title-label', text: win.title });
        Main.uiGroup.add_actor(text);
    }

    text.opacity = 255;

    let monitor = Main.layoutManager.primaryMonitor;

    text.set_position(Math.floor(monitor.width / 2 - text.width / 2),
                      Math.floor(50 - text.height / 2));

}

function init() {
    button = new St.Bin({ style_class: 'panel-button',
                          reactive: true,
                          can_focus: true,
                          x_fill: true,
                          y_fill: false,
                          track_hover: true });
    let icon = new St.Icon({ icon_name: 'dialog-information-symbolic',
                             style_class: 'system-status-icon' });

    button.set_child(icon);

    button.connect('enter-event', _showTitle);
    button.connect('leave-event', _tween);

}

function enable() {
    Main.panel._leftBox.insert_child_at_index(button, 3);
}

function disable() {_hideTitle();
    Main.panel._leftBox.remove_child(button);
}
